CVE-2014-7230

NameCVE-2014-7230
DescriptionThe processutils.execute function in OpenStack oslo-incubator, Cinder, Nova, and Trove before 2013.2.4 and 2014.1 before 2014.1.3 allows local users to obtain passwords from commands that cause a ProcessExecutionError by reading the log.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs765704, 765714

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cinder (PTS)buster2:13.0.3-1fixed
buster (security)2:13.0.7-1+deb10u2fixed
bullseye (security), bullseye2:17.0.1-1+deb11u1fixed
bookworm2:21.1.0-3fixed
sid2:24.0.0-3fixed
nova (PTS)buster2:18.1.0-6fixed
buster (security)2:18.1.0-6+deb10u2fixed
bullseye (security), bullseye2:22.0.1-2+deb11u1fixed
bookworm2:26.1.0-4fixed
sid, trixie2:29.0.1-6fixed
openstack-trove (PTS)bookworm1:18.0.0-2fixed
sid, trixie1:21.0.1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cindersource(unstable)2014.1.3-4low765704
novasource(unstable)2014.1.3-5low765714
openstack-trovesource(unstable)2014.1.3-1low

Notes

[wheezy] - nova <no-dsa> (Minor issue)
https://launchpad.net/bugs/1343604

Search for package or bug name: Reporting problems